Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class PortalPath

    java.lang.Object
      com.bea.netuix.application.identifier.Path
          com.bea.netuix.application.identifier.PortalPath

All Implemented Interfaces
  Serializable

    public class PortalPath

extends Path

The `PortalPath` is a representation of the part of the url that identifies the portal for a customized portal.

See Also
  `DesktopDefinitionId`, Serialized Form

Constructor Summary
`PortalPath(String path)`

Method Summary
`protected Object` | `clone()`
`static PortalPath` | `clone(PortalPath portalPath)`
`static PortalPath` | `createPortalPath(String path)`
`String` | `toString()`

Methods inherited from class com.bea.netuix.application.identifier.Path
`equals, getPath, hashCode, setPath`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalPath

    public PortalPath(String path)

Parameters
  `path` - the part of the url that identifies the portal for a customized portal.

Method Detail

### createPortalPath

    public static PortalPath createPortalPath(String path)

  Parameters
    `path` - the part of the url that identifies the portal for a customized portal.
  Returns
    a new `PortalPath` with the path set to the value passed in.

### clone

    public static PortalPath clone(PortalPath portalPath)

  Parameters
    `portalPath` - the `PortalPath` to clone.
  Returns
    a new `PortalPath` with the exact same path set as the `PortalPath` passed in.

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`
  Returns
    a new `PortalPath` with the exact same path set as this `PortalPath`.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns
    the part of the url that identifies the portal for a customized portal.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.